Index: XIOS3/trunk/src/interface/fortran_attr/idomaingroup_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 2616)
@@ -1157,4 +1294,16 @@
       ENDIF
 
+      IF (PRESENT(chunking_weight_i_)) THEN
+        chunking_weight_i__tmp = cxios_is_defined_domaingroup_chunking_weight_i &
+      (domaingroup_hdl%daddr)
+        chunking_weight_i_ = chunking_weight_i__tmp
+      ENDIF
+
+      IF (PRESENT(chunking_weight_j_)) THEN
+        chunking_weight_j__tmp = cxios_is_defined_domaingroup_chunking_weight_j &
+      (domaingroup_hdl%daddr)
+        chunking_weight_j_ = chunking_weight_j__tmp
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         comment__tmp = cxios_is_defined_domaingroup_comment &
@@ -1343,4 +1492,10 @@
       ENDIF
 
+      IF (PRESENT(nvertex_name_)) THEN
+        nvertex_name__tmp = cxios_is_defined_domaingroup_nvertex_name &
+      (domaingroup_hdl%daddr)
+        nvertex_name_ = nvertex_name__tmp
+      ENDIF
+
       IF (PRESENT(prec_)) THEN
         prec__tmp = cxios_is_defined_domaingroup_prec &
Index: XIOS3/trunk/src/interface/fortran_attr/ifield_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/ifield_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/ifield_attr.F90	(revision 2616)
@@ -13,8 +13,9 @@
   SUBROUTINE xios(set_field_attr)  &
     ( field_id, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-    , unit, valid_max, valid_min )
+    , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+    , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -29,6 +30,11 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: check_if_active
       LOGICAL (KIND=C_BOOL) :: check_if_active_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_blocksize_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: compression_level
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: compression_params(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: compression_type
+      LOGICAL  , OPTIONAL, INTENT(IN) :: conversion_by_NetCDF
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: default_value
       LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value
@@ -66,8 +72,9 @@
       CALL xios(set_field_attr_hdl_)   &
       ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-      , unit, valid_max, valid_min )
+      , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+      , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(set_field_attr)
@@ -75,8 +82,9 @@
   SUBROUTINE xios(set_field_attr_hdl)  &
     ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-    , unit, valid_max, valid_min )
+    , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+    , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -90,6 +98,11 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: check_if_active
       LOGICAL (KIND=C_BOOL) :: check_if_active_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_blocksize_target
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: compression_level
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: compression_params(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: compression_type
+      LOGICAL  , OPTIONAL, INTENT(IN) :: conversion_by_NetCDF
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: default_value
       LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value
@@ -125,8 +138,9 @@
       CALL xios(set_field_attr_hdl_)  &
       ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-      , unit, valid_max, valid_min )
+      , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+      , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(set_field_attr_hdl)
@@ -134,5 +148,6 @@
   SUBROUTINE xios(set_field_attr_hdl_)   &
     ( field_hdl, add_offset_, axis_ref_, build_workflow_graph_, cell_methods_, cell_methods_mode_  &
-    , check_if_active_, comment_, compression_level_, default_value_, detect_missing_value_, domain_ref_  &
+    , check_if_active_, chunking_blocksize_target_, comment_, compression_level_, compression_params_  &
+    , compression_type_, conversion_by_NetCDF_, default_value_, detect_missing_value_, domain_ref_  &
     , enabled_, expr_, field_ref_, freq_offset_, freq_op_, grid_path_, grid_ref_, indexed_output_  &
     , level_, long_name_, name_, operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_  &
@@ -149,6 +164,11 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: check_if_active_
       LOGICAL (KIND=C_BOOL) :: check_if_active__tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_blocksize_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       INTEGER  , OPTIONAL, INTENT(IN) :: compression_level_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: compression_params_(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: compression_type_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: conversion_by_NetCDF_
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF__tmp
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: default_value_
       LOGICAL  , OPTIONAL, INTENT(IN) :: detect_missing_value_
@@ -214,4 +234,9 @@
       ENDIF
 
+      IF (PRESENT(chunking_blocksize_target_)) THEN
+        CALL cxios_set_field_chunking_blocksize_target &
+      (field_hdl%daddr, chunking_blocksize_target_)
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         CALL cxios_set_field_comment &
@@ -222,4 +247,20 @@
         CALL cxios_set_field_compression_level &
       (field_hdl%daddr, compression_level_)
+      ENDIF
+
+      IF (PRESENT(compression_params_)) THEN
+        CALL cxios_set_field_compression_params &
+      (field_hdl%daddr, compression_params_, SHAPE(compression_params_))
+      ENDIF
+
+      IF (PRESENT(compression_type_)) THEN
+        CALL cxios_set_field_compression_type &
+      (field_hdl%daddr, compression_type_, len(compression_type_))
+      ENDIF
+
+      IF (PRESENT(conversion_by_NetCDF_)) THEN
+        conversion_by_NetCDF__tmp = conversion_by_NetCDF_
+        CALL cxios_set_field_conversion_by_NetCDF &
+      (field_hdl%daddr, conversion_by_NetCDF__tmp)
       ENDIF
 
@@ -358,8 +399,9 @@
   SUBROUTINE xios(get_field_attr)  &
     ( field_id, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-    , unit, valid_max, valid_min )
+    , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+    , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -374,6 +416,11 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: check_if_active
       LOGICAL (KIND=C_BOOL) :: check_if_active_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_blocksize_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: compression_level
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: compression_params(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: compression_type
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value
@@ -411,8 +458,9 @@
       CALL xios(get_field_attr_hdl_)   &
       ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-      , unit, valid_max, valid_min )
+      , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+      , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(get_field_attr)
@@ -420,8 +468,9 @@
   SUBROUTINE xios(get_field_attr_hdl)  &
     ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-    , unit, valid_max, valid_min )
+    , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+    , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -435,6 +484,11 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: check_if_active
       LOGICAL (KIND=C_BOOL) :: check_if_active_tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_blocksize_target
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: compression_level
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: compression_params(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: compression_type
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value
@@ -470,8 +524,9 @@
       CALL xios(get_field_attr_hdl_)  &
       ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-      , unit, valid_max, valid_min )
+      , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+      , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(get_field_attr_hdl)
@@ -479,5 +534,6 @@
   SUBROUTINE xios(get_field_attr_hdl_)   &
     ( field_hdl, add_offset_, axis_ref_, build_workflow_graph_, cell_methods_, cell_methods_mode_  &
-    , check_if_active_, comment_, compression_level_, default_value_, detect_missing_value_, domain_ref_  &
+    , check_if_active_, chunking_blocksize_target_, comment_, compression_level_, compression_params_  &
+    , compression_type_, conversion_by_NetCDF_, default_value_, detect_missing_value_, domain_ref_  &
     , enabled_, expr_, field_ref_, freq_offset_, freq_op_, grid_path_, grid_ref_, indexed_output_  &
     , level_, long_name_, name_, operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_  &
@@ -494,6 +550,11 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: check_if_active_
       LOGICAL (KIND=C_BOOL) :: check_if_active__tmp
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_blocksize_target_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       INTEGER  , OPTIONAL, INTENT(OUT) :: compression_level_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: compression_params_(:)
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: compression_type_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF_
+      LOGICAL (KIND=C_BOOL) :: conversion_by_NetCDF__tmp
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: default_value_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: detect_missing_value_
@@ -559,4 +620,9 @@
       ENDIF
 
+      IF (PRESENT(chunking_blocksize_target_)) THEN
+        CALL cxios_get_field_chunking_blocksize_target &
+      (field_hdl%daddr, chunking_blocksize_target_)
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         CALL cxios_get_field_comment &
@@ -567,4 +633,20 @@
         CALL cxios_get_field_compression_level &
       (field_hdl%daddr, compression_level_)
+      ENDIF
+
+      IF (PRESENT(compression_params_)) THEN
+        CALL cxios_get_field_compression_params &
+      (field_hdl%daddr, compression_params_, SHAPE(compression_params_))
+      ENDIF
+
+      IF (PRESENT(compression_type_)) THEN
+        CALL cxios_get_field_compression_type &
+      (field_hdl%daddr, compression_type_, len(compression_type_))
+      ENDIF
+
+      IF (PRESENT(conversion_by_NetCDF_)) THEN
+        CALL cxios_get_field_conversion_by_NetCDF &
+      (field_hdl%daddr, conversion_by_NetCDF__tmp)
+        conversion_by_NetCDF_ = conversion_by_NetCDF__tmp
       ENDIF
 
@@ -703,8 +785,9 @@
   SUBROUTINE xios(is_defined_field_attr)  &
     ( field_id, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-    , unit, valid_max, valid_min )
+    , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+    , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -723,8 +806,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: check_if_active
       LOGICAL(KIND=C_BOOL) :: check_if_active_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_blocksize_target
+      LOGICAL(KIND=C_BOOL) :: chunking_blocksize_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: compression_level
       LOGICAL(KIND=C_BOOL) :: compression_level_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_params
+      LOGICAL(KIND=C_BOOL) :: compression_params_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_type
+      LOGICAL(KIND=C_BOOL) :: compression_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF
+      LOGICAL(KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL(KIND=C_BOOL) :: default_value_tmp
@@ -782,8 +873,9 @@
       CALL xios(is_defined_field_attr_hdl_)   &
       ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-      , unit, valid_max, valid_min )
+      , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+      , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_field_attr)
@@ -791,8 +883,9 @@
   SUBROUTINE xios(is_defined_field_attr_hdl)  &
     ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-    , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-    , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-    , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-    , unit, valid_max, valid_min )
+    , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+    , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+    , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+    , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+    , valid_max, valid_min )
 
     IMPLICIT NONE
@@ -810,8 +903,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: check_if_active
       LOGICAL(KIND=C_BOOL) :: check_if_active_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_blocksize_target
+      LOGICAL(KIND=C_BOOL) :: chunking_blocksize_target_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: compression_level
       LOGICAL(KIND=C_BOOL) :: compression_level_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_params
+      LOGICAL(KIND=C_BOOL) :: compression_params_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_type
+      LOGICAL(KIND=C_BOOL) :: compression_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF
+      LOGICAL(KIND=C_BOOL) :: conversion_by_NetCDF_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: default_value
       LOGICAL(KIND=C_BOOL) :: default_value_tmp
@@ -867,8 +968,9 @@
       CALL xios(is_defined_field_attr_hdl_)  &
       ( field_hdl, add_offset, axis_ref, build_workflow_graph, cell_methods, cell_methods_mode, check_if_active  &
-      , comment, compression_level, default_value, detect_missing_value, domain_ref, enabled, expr  &
-      , field_ref, freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name  &
-      , operation, prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq  &
-      , unit, valid_max, valid_min )
+      , chunking_blocksize_target, comment, compression_level, compression_params, compression_type  &
+      , conversion_by_NetCDF, default_value, detect_missing_value, domain_ref, enabled, expr, field_ref  &
+      , freq_offset, freq_op, grid_path, grid_ref, indexed_output, level, long_name, name, operation  &
+      , prec, read_access, scalar_ref, scale_factor, standard_name, ts_enabled, ts_split_freq, unit  &
+      , valid_max, valid_min )
 
   END SUBROUTINE xios(is_defined_field_attr_hdl)
@@ -876,5 +978,6 @@
   SUBROUTINE xios(is_defined_field_attr_hdl_)   &
     ( field_hdl, add_offset_, axis_ref_, build_workflow_graph_, cell_methods_, cell_methods_mode_  &
-    , check_if_active_, comment_, compression_level_, default_value_, detect_missing_value_, domain_ref_  &
+    , check_if_active_, chunking_blocksize_target_, comment_, compression_level_, compression_params_  &
+    , compression_type_, conversion_by_NetCDF_, default_value_, detect_missing_value_, domain_ref_  &
     , enabled_, expr_, field_ref_, freq_offset_, freq_op_, grid_path_, grid_ref_, indexed_output_  &
     , level_, long_name_, name_, operation_, prec_, read_access_, scalar_ref_, scale_factor_, standard_name_  &
@@ -895,8 +998,16 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: check_if_active_
       LOGICAL(KIND=C_BOOL) :: check_if_active__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_blocksize_target_
+      LOGICAL(KIND=C_BOOL) :: chunking_blocksize_target__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
       LOGICAL(KIND=C_BOOL) :: comment__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: compression_level_
       LOGICAL(KIND=C_BOOL) :: compression_level__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_params_
+      LOGICAL(KIND=C_BOOL) :: compression_params__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: compression_type_
+      LOGICAL(KIND=C_BOOL) :: compression_type__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: conversion_by_NetCDF_
+      LOGICAL(KIND=C_BOOL) :: conversion_by_NetCDF__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: default_value_
       LOGICAL(KIND=C_BOOL) :: default_value__tmp
@@ -986,4 +1097,10 @@
       ENDIF
 
+      IF (PRESENT(chunking_blocksize_target_)) THEN
+        chunking_blocksize_target__tmp = cxios_is_defined_field_chunking_blocksize_target &
+      (field_hdl%daddr)
+        chunking_blocksize_target_ = chunking_blocksize_target__tmp
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         comment__tmp = cxios_is_defined_field_comment &
@@ -998,4 +1115,22 @@
       ENDIF
 
+      IF (PRESENT(compression_params_)) THEN
+        compression_params__tmp = cxios_is_defined_field_compression_params &
+      (field_hdl%daddr)
+        compression_params_ = compression_params__tmp
+      ENDIF
+
+      IF (PRESENT(compression_type_)) THEN
+        compression_type__tmp = cxios_is_defined_field_compression_type &
+      (field_hdl%daddr)
+        compression_type_ = compression_type__tmp
+      ENDIF
+
+      IF (PRESENT(conversion_by_NetCDF_)) THEN
+        conversion_by_NetCDF__tmp = cxios_is_defined_field_conversion_by_NetCDF &
+      (field_hdl%daddr)
+        conversion_by_NetCDF_ = conversion_by_NetCDF__tmp
+      ENDIF
+
       IF (PRESENT(default_value_)) THEN
         default_value__tmp = cxios_is_defined_field_default_value &
